请选择 进入手机版 | 继续访问电脑版

登录 

游客您好!登录后享受更多精彩

查看: 917|回复: 0

nginx 1.20.1 稳定版和 1.21.0 主线版发布,修复高危安全漏洞

[复制链接]

60

主题

90

帖子

600

积分

新手上路

Rank: 1

积分
600
发表于 2021-6-29 16:26:43 | 显示全部楼层 |阅读模式

nginx 1.20.1 稳定版和 1.21.0 主线版已发布。这两个版本均修复了一个高危的安全漏洞——1-byte memory overwrite。此漏洞存在于 nginx 的 DNS 解析模块,并且仅在配置文件中使用"resolver"指令时才会影响 nginx。攻击者可以利用该漏洞进行远程 DDoS 攻击,甚至远程执行。

漏洞简介

1-byte memory overwrite in resolver
Severity: medium
Advisory
CVE-2021-23017
Not vulnerable: 1.21.0+, 1.20.1+
Vulnerable: 0.6.18-1.20.0
The patch  pgp

nginx 1.21.0 主要变化:

  • Feature: "proxy_ssl_certificate", "proxy_ssl_certificate_key" "grpc_ssl_certificate", "grpc_ssl_certificate_key", "uwsgi_ssl_certificate" 和 "uwsgi_ssl_certificate_key" 指令已支持变量
  • Feature: "max_errors" 指令已移动至邮件代理模块 (mail proxy module)
  • Feature: 邮件代理模块支持 POP3 和 IMAP 管道
  • Feature: "listen"指令的"fastopen"参数位于 stream 模块
  • Bugfix: 在自动重定向过程中,没有对特殊字符进行转义,并附加了反斜杠
  • Bugfix: 当使用 SMTP 管道时,与邮件代理模块中的客户端的连接可能被意外关闭

更多内容查看http://nginx.org/#2021-05-25

回复

使用道具

您需要登录后才可以回帖

本版积分规则

粤ICP备20043801号-1  Copyright ©广州市开放邑软件科技有限公司

Powered by Discuz! X3.4

Copyright © 2001-2020, Tencent Cloud.

快速回复 返回顶部 返回列表